function MultiLineLog()
{
    var lastCaller;
    this.log = function( msg, color ) 
	{ 
	    try
	    {
            if (arguments.callee.caller.name.toString() != lastCaller) 
        	    {
        	       lastCaller = arguments.callee.caller.name.toString();
        	       console.log( "<div style='color:yellow'>" + " === " + lastCaller + " ===</div>" );    
        	    }
        }
	    catch
	    {
	         console.log( "<div style='color:red'>" + " === Outside any function ===</div>" ); 
	    }
        
        var msgLength;
        var numChunks;
        var chunks;
        var msgColor;
        
        if (color == null)
        {
            msgLength = 96;
            numChunks = Math.ceil(msg.length / msgLength);
            chunks    = new Array(numChunks);
            
            for (let i = 0, o = 0; i < numChunks; ++i, o += msgLength) 
            {
                console.log(msg.substr(o, msgLength));
            }
        }
        else
        {
            msgLength = 68;
            numChunks = Math.ceil(msg.length / msgLength);
            chunks    = new Array(numChunks);
            msgColor  = "<div style='color:" + color + "'>";
            
            for (let i = 0, o = 0; i < numChunks; ++i, o += msgLength) 
            {
                console.log(msgColor + msg.substr(o, msgLength) + "</div>");
            }
        }   
	}
}
